function [Out1,Out2]=calculo_ftree(caract,arbol)

%CALCULO_FTREE 	Calcula resultado de inferencia en rbol de
%  decisin.
%
%  [M,N]=CALCULO_FTREE(caract,arbol) devuelve como salida el valor
%  de la clase (M) y su probabilidad (N) para un rbol de 4 niveles
%
% Argumentos
%   caract: Vector de caractersticas de entrada
%           (deben seguir un orden prefijado)
%   arbol:  arbol de inferencia (estructura)


Num_caract=arbol.datos.Num_caract;
Num_clases=arbol.datos.Num_clases;

%for k=1:Num_caract
%	Int(k,:)=arbol.datos.car(k).Int(:)';
%end


%Activaciones----------------------
%-------------	 

for ctq=1:Num_caract

	if(arbol.datos.car(ctq).tipo==1) %Entrada fuzzy				
		C(ctq).act=zeros([1,arbol.datos.car(ctq).size]);
		C(ctq).act(caract(ctq))=1;
		if(caract(ctq)==1)
			C(ctq).act(2)=arbol.datos.car(ctq).Int(1);
		elseif(caract(ctq)==arbol.datos.car(ctq).size)
			C(ctq).act(arbol.datos.car(ctq).size-1)=arbol.datos.car(ctq).Int(arbol.datos.car(ctq).size-1);
		else
			C(ctq).act(caract(ctq)+1)=arbol.datos.car(ctq).Int(caract(ctq));
			C(ctq).act(caract(ctq)-1)=arbol.datos.car(ctq).Int(caract(ctq)-1);
		end
	elseif(arbol.datos.car(ctq).tipo==2) %Entrada Crisp
		for k=1:arbol.datos.car(ctq).size
		C(ctq).act(k)=evalmf(caract(ctq),arbol.datos.car(ctq).Sets(k,:),arbol.datos.car(ctq).Type);
		end
	end	
end



%------------------------------------------------------------
%------------------------------------------------------------


%Niveles de Profundidad de rbol
% (Tantos como caract)

for k=1:Num_caract
	Nivel(k).val=zeros([Num_clases,1]);
end

[M N]=size(arbol.raiz.nodo);



for k=1:N
	
	caract1=arbol.raiz.caract;
	
	
	% Nivel 1-------------------------------
	% =======
	
	
	if(arbol.raiz.nodo(k).leaf==1) %Hoja
		Nivel(1).val=Nivel(1).val+C(caract1).act(k).*arbol.raiz.nodo(k).Probabilidades;		
	else
	
	
		%Nivel 2-------------------------------------
		%========
		
		[M2 N2]=size(arbol.raiz.nodo(k).nodo);
		caract2=arbol.raiz.nodo(k).caract;
		for k2=1:N2
			if(arbol.raiz.nodo(k).nodo(k2).leaf==1)
				Nivel(2).val=Nivel(2).val + (C(caract1).act(k)).*(C(caract2).act(k2)).*arbol.raiz.nodo(k).nodo(k2).Probabilidades;
				
			else
			
			
				%Nivel(3).val --------------------------
				%=============
								
				[M3 N3]=size(arbol.raiz.nodo(k).nodo(k2).nodo);
				caract3=arbol.raiz.nodo(k).nodo(k2).caract;
				for k3=1:N3
					if(arbol.raiz.nodo(k).nodo(k2).nodo(k3).leaf==1)
						
							KG=((C(caract1).act(k)).*(C(caract2).act(k2)).*(C(caract3).act(k3)));
							Nivel(3).val=Nivel(3).val + KG.*arbol.raiz.nodo(k).nodo(k2).nodo(k3).Probabilidades;
						
					else
					
					%Nivel(4).val --------------------------
					%=============
						[M4 N4]=size(arbol.raiz.nodo(k).nodo(k2).nodo(k3).nodo);
						caract4=arbol.raiz.nodo(k).nodo(k2).nodo(k3).caract;
						for k4=1:N4
							
								KG4=((C(caract1).act(k)).*(C(caract2).act(k2)).*(C(caract3).act(k3)).*(C(caract4).act(k4)));
								Nivel(4).val=Nivel(4).val + KG4.*arbol.raiz.nodo(k).nodo(k2).nodo(k3).nodo(k4).Probabilidades;
							
						end
					
					end
						
				end			
			end %end if (nivel2)
		end	%end for
		
	end %end if (Nivel1)
end

Total=Nivel(1).val+Nivel(2).val+Nivel(3).val+Nivel(4).val;
[M N]=max(Total./sum(Total));

Out1=N; 
Out2=M;
