function Edad=calculo_tw2(caract,arbolgen)

%CALCULO_TW2 calcula la edad osea segun el mtodo TW2
%
%  Edad=CALCULO_TW2(caract,arbol) devuelve un nmero, Edad, que se
%  corresponde con la edad sea de las caracteristicas de entrada.
%
%  Argumentos:
%        caract:    estructura con los vectores de caractersticas de 
%                   los 13 huesos
%        arbolgen:  estructura con los rboles de decisin
%
%  La estructura de caractersticas debe ser como sigue:
%
%   caract
%        |_sexo  (1 nios, 2 nias)
%        |_hueso(i)
%             |_caract (vector)

sexo=caract.sexo;

Huesos=[1 2 3 4 4 5 6 6 7 7 8 9 9];

for k=1:13
	
	k2=Huesos(k);
	
	if(arbolgen.arbol(k2).datos.Num_caract==4)
		[Conj(k) Prob(k)]=calculo_ftree(caract.hueso(k).c,arbolgen.arbol(k2));
	elseif(arbolgen.arbol(k2).datos.Num_caract==3)
		[Conj(k) Prob(k)]=calculo_ftree_small(caract.hueso(k).c,arbolgen.arbol(k2));
	end

end

Conj
%Prob
puntuaciones

total=20.*radio_rus(sexo,Conj(1))+...
	  20.*cubito_rus(sexo,Conj(2))+...
	  6.7.*metacarpo_I_rus(sexo,Conj(3))+...
	  5.*metacarpo_III_rus(sexo,Conj(4))+...
	  5.*metacarpo_V_rus(sexo,Conj(5))+...
	  6.7.*falange_prox_I_rus(sexo,Conj(6))+...
	  5.*falange_prox_III_rus(sexo,Conj(7))+...
	  5.*falange_prox_V_rus(sexo,Conj(8))+...
	  5.*falange_med_III_rus(sexo,Conj(9))+...
	  5.*falange_med_V_rus(sexo,Conj(10))+...
	  6.7.*falange_distal_I_rus(sexo,Conj(11))+...
	  5.*falange_distal_III_rus(sexo,Conj(12))+...
	  5.*falange_distal_V_rus(sexo,Conj(13));
	  
Edad_sin=radio_rus(sexo,Conj(1))+...
	  cubito_rus(sexo,Conj(2))+...
	  metacarpo_I_rus(sexo,Conj(3))+...
	  metacarpo_III_rus(sexo,Conj(4))+...
	  metacarpo_V_rus(sexo,Conj(5))+...
	  falange_prox_I_rus(sexo,Conj(6))+...
	  falange_prox_III_rus(sexo,Conj(7))+...
	  falange_prox_V_rus(sexo,Conj(8))+...
	  falange_med_III_rus(sexo,Conj(9))+...
	  falange_med_V_rus(sexo,Conj(10))+...
	  falange_distal_I_rus(sexo,Conj(11))+...
	  falange_distal_III_rus(sexo,Conj(12))+...
	  5.*falange_distal_V_rus(sexo,Conj(13))

	  
Edad=total./(20+20+6.7+5+5+6.7+5+5+5+5+6.7+5+5) ;
%Edad=total;
