%LANZA_FSETS()
%
%  Genera los conjuntos borrosos que van a ser utilizados
%  para la generacin del rbol de decisin.
%
%  Estructura de fsets:
%
%       tipo    = 1 Entrada borrosa (conjunto)
%               = 2 Entrada crisp (nmero)	 
%       name    Nombre de la caracterstica
%       size    Nmero de conjuntos de esa caracterstica
%       Int     Intersecciones entre conjuntos (si tipo=1)
%       Sets    Puntos clave de los conjuntos (si tipo=2)
%       Type    Forma de las funciones de pertenencia (si tipo=2)

%1. RADIO--------------------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=1;
fsets.caract(4).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='superficie';
fsets.caract(4).name='diametros';


fsets.caract(1).size=5;
fsets.caract(2).size=4;
fsets.caract(3).size=4;
fsets.caract(4).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0];
fsets.caract(3).Int=[0.2  0.2  0.2  0];


fsets.caract(4).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
fsets.caract(4).Type='trapmf';

Datos.hueso(1).fsets=fsets;
clear fsets;

%2. CUBITO--------------------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='diametros';

fsets.caract(1).size=5;
fsets.caract(2).size=4;
fsets.caract(3).size=4;



fsets.caract(1).Int=[0.1  0.1  0.1  0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0];
fsets.caract(3).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
fsets.caract(3).Type='trapmf';

Datos.hueso(2).fsets=fsets;
clear fsets;


%3. METACARPO I--------------------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=1;
fsets.caract(4).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='superficie';
fsets.caract(4).name='diametros';

fsets.caract(1).size=6;
fsets.caract(2).size=3;
fsets.caract(3).size=2;
fsets.caract(4).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1 0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0 0];
fsets.caract(3).Int=[0.2  0.2  0.2  0 0];


fsets.caract(4).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
fsets.caract(4).Type='trapmf';

Datos.hueso(3).fsets=fsets;
clear fsets;

%4. METACARPO III y V---------------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=1;
fsets.caract(4).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='superficie';
fsets.caract(4).name='diametros';

fsets.caract(1).size=6;
fsets.caract(2).size=2;
fsets.caract(3).size=2;
fsets.caract(4).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1 0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0 0];
fsets.caract(3).Int=[0.2  0.2  0.2  0 0];

fsets.caract(4).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
fsets.caract(4).Type='trapmf';

Datos.hueso(4).fsets=fsets;
clear fsets;

%5. FALANGE PROXIMAL I---------------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='diametros';

fsets.caract(1).size=6;
fsets.caract(2).size=3;
fsets.caract(3).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1 0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0 0];

fsets.caract(3).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
					  
fsets.caract(3).Type='trapmf';

Datos.hueso(5).fsets=fsets;
clear fsets;

%6. FALANGE PROXIMAL III Y V---------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='diametros';

fsets.caract(1).size=6;
fsets.caract(2).size=3;
fsets.caract(3).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1 0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0 0];


fsets.caract(3).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
					  
fsets.caract(3).Type='trapmf';

Datos.hueso(6).fsets=fsets;
clear fsets;

%7. FALANGE MEDIA III y V-----------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=1;
fsets.caract(4).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='superficie';
fsets.caract(4).name='diametros';


fsets.caract(1).size=6;
fsets.caract(2).size=2;
fsets.caract(3).size=2;
fsets.caract(4).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1 0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0 0];
fsets.caract(3).Int=[0.2  0.2  0.2  0 0];


fsets.caract(4).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
fsets.caract(4).Type='trapmf';

Datos.hueso(7).fsets=fsets;
clear fsets;

%8. FALANGE DISTAL I-----------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='diametros';

fsets.caract(1).size=6;
fsets.caract(2).size=3;
fsets.caract(3).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1 0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0 0];

fsets.caract(3).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
fsets.caract(3).Type='trapmf';

Datos.hueso(8).fsets=fsets;
clear fsets;

%9. FALANGE MDISTAL III y V-----------------------------------------------------

fsets.caract(1).tipo=1;
fsets.caract(2).tipo=1;
fsets.caract(3).tipo=1;
fsets.caract(4).tipo=2;

fsets.caract(1).name='epifisis';
fsets.caract(2).name='forma';
fsets.caract(3).name='superficie';
fsets.caract(4).name='diametros';


fsets.caract(1).size=6;
fsets.caract(2).size=2;
fsets.caract(3).size=2;
fsets.caract(4).size=4;


fsets.caract(1).Int=[0.1  0.1  0.1  0.1 0.1];
fsets.caract(2).Int=[0.3  0.3  0.3  0 0];
fsets.caract(3).Int=[0.2  0.2  0.2  0 0];


fsets.caract(4).Sets=[0 0 1 1.5 
					  1 1.5 1.5 2 
					  1.5 2 2 2.5 
					  2 2.5 10 10 ];
fsets.caract(4).Type='trapmf';

Datos.hueso(9).fsets=fsets;
clear fsets;


