function tw2_inter()

% TW2_INTER----------
%
% GUI of the TW3 based application for bone age assessment



load programa

%%%%%%%%%%%%%%%%%%%% VENTANA DE LA INTERFAZ GRFICA %%%%%%%%%%%%%%%%%%%%

a = figure('Color',[0.7 0.7 1], ...
	'Colormap',mat0, ...
	'Position',[216 89 1090 844], ...	
	'Tag','Pantalla_Principal');
	
%%%%%%%%%%%%%%%%%%%%%%%% EJES PARA VISUALIZACIN %%%%%%%%%%%%%%%%%%%%%%%

b = axes('Parent',a, ... 
	'Units','points', ... 
	'CameraUpVector',[0 1 0], ... 
	'Color',[1 1 1], ... 
	'Position',[20 71.2 425 595], ... 
	'Tag','Ejes1', ... 
	'XColor',[0 0 0], ... 
	'YColor',[0 0 0], ... 
	'ZColor',[0 0 0]); 
	
c = text('Parent',b, ... 
	'Color',[0 0 0], ... 
	'HandleVisibility','callback', ... 
	'HorizontalAlignment','center', ... 
	'Position',[00.498113 -0.0296097 0], ... 
	'Tag','Axes1Text4', ... 
	'VerticalAlignment','cap'); 
	
set(get(c,'Parent'),'XLabel',c); 
c = text('Parent',b, ... 
	'Color',[0 0 0], ... 
	'HandleVisibility','callback', ... 
	'HorizontalAlignment','center', ... 
	'Position',[-0.0509434 0.497981 0], ... 
	'Rotation',90, ... 
	'Tag','Axes1Text3', ... 
	'VerticalAlignment','baseline'); 
set(get(c,'Parent'),'YLabel',c); 
c = text('Parent',b, ... 
	'Color',[0 0 0], ... 
	'HandleVisibility','callback', ... 
	'HorizontalAlignment','right', ... 
	'Position',[-0.0490566 1.01346 0], ... 
	'Tag','Axes1Text2'); 
set(get(c,'Parent'),'ZLabel',c); 
c = text('Parent',b, ... 
	'Color',[0 0 0], ... 
	'HandleVisibility','callback', ... 
	'HorizontalAlignment','center', ... 
	'Position',[0.498113 1.00808 0], ... 
	'Tag','Axes1Text1', ... 
	'VerticalAlignment','bottom'); 
	
set(get(c,'Parent'),'Title',c); 
	
%%%%%%%%%%%%%%%%%%%%%%%%% TITULO DE LA HERRAMIENTA %%%%%%%%%%%%%%%%%%%%%

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'Position',[458 602 401 60], ...
	'BackgroundColor',[0.5 0.5 1], ... 
	'Style','frame', ...
	'Tag','Frame_Titulo');

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontSize',16, ...
	'FontWeight','bold', ...
	'Position',[501.6 608.8 316 20], ...
	'String','TOOL', ...
	'Style','text', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontSize',16, ...
	'FontWeight','bold', ...
	'Position',[459.2 636 395.2 20], ...
	'String','AUTOMATIC BONE AGE ASSESSMENT', ...
	'Style','text', ...
	'Tag','StaticText1');
	
%%%%%%%%%%%% MARCO PARA CARGAR IMAGEN Y SELECCIN DE HUESO %%%%%%%%%%%%%

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[458 384 401 211.2], ...
	'Style','frame', ...
	'Tag','Frame1');
	
%%%%%%%%%%%%%%%%%%%%%%% MARCO PARA CARGAR IMAGEN %%%%%%%%%%%%%%%%%%%%%%% 

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[464 490.4 235.2 100], ...
	'Style','frame', ...
	'Tag','Frame1');

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ForegroundColor',[0.2 0.2 1], ...
	'Position',[492.8 556.8 180 24.8], ...
	'String','radiograph.tif', ...
	'Style','edit', ...
	'Tag','Fichero');

	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','cargar_imagen', ...%Llamada a cargar_imagen
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[493.6 520 180 24.8], ...
	'String','Load Image', ...
	'Tag','Pushbutton1');	
%%%%%%%%%%%%%%%%%%%%%%% MARCO PARA SELECCIN HUESO %%%%%%%%%%%%%%%%%%%%%

	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[705.6 388 142.4 200], ...
	'Style','frame', ...
	'Tag','Frame1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[465.6 392 232.8 54.4], ...
	'Style','frame', ...
	'Tag','Frame1');

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','carga_boxes', ...%%Llamada a marcar_lineas
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[713.6 392.8 129.6 25.6], ...
	'String','OK Feature', ...
	'Tag','boton_sel');
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.85 0.85 1], ...
	'ForegroundColor',[0.2 0.2 1], ...
	'Position',[712 422.4 130 160], ...
	'String','Radius |Ulna |Metacarpus I |Metacarpus III  |Metacarpus V  |Proximal Phalanx I |Proximal Phalanx III |Proximal Phalanx V |Middle Phalanx III |Middle Phalanx V |Distal Phalanx I |Distal Phalanx III |Distal Phalanx V', ...
	'Style','listbox', ...
	'Tag','Indice_Falange', ...
	'Value',1);
	

	
%%%%%%%%%%%% MARCO PARA SELECCIN DE CARACTERSTICAS %%%%%%%%%%%%%%%

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[458 228 401 154], ...
	'Style','frame', ...
	'Tag','Frame1');
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontWeight','bold', ...
	'Position',[481.6 351.2 162.4 20], ...
	'String','Epiphysis', ...
	'Style','text', ...
	'Tag','StaticText1');
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontWeight','bold', ...
	'Position',[498.4 309.6 128.8 20], ...
	'String','Shape', ...
	'Style','text', ...
	'Tag','StaticText2');
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontWeight','bold', ...
	'Position',[505.6 264 119.2 20], ...
	'String','Surfaces', ...
	'Style','text', ...
	'Tag','StaticText3');
		
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontWeight','bold', ...
	'Position',[689.6 352 137.6 20], ...
	'String','Distances', ...
	'Style','text', ...
	'Tag','StaticText4');
			
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'ForegroundColor',[0.2 0.2 0.1], ...
	'Min',1, ...
	'Position',[468.8 332 189.6 20], ...
	'String','No data', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'ForegroundColor',[0.2 0.2 0.1], ...
	'Min',1, ...
	'Position',[470.4 292 189.6 20], ...
	'String','No data', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu2', ...
	'Value',1);
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'ForegroundColor',[0.2 0.2 0.1], ...
	'Min',1, ...
	'Position',[468 240 189.6 20], ...
	'String','No data', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu3', ...
	'Value',1);


b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','marcar_lineas', ...%%Llamada a marcar_lineas
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[675.2 333.6 160 20], ...
	'String','Set Lines', ...
	'Tag','Pushbutton3');
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'ForegroundColor',[0.2 0.2 0.1], ...
	'Max',2, ...
	'Min',1, ...
	'Position',[501.6 460.8 160 20], ...
	'String',['Boys ';'Girls'], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu4', ...
	'Value',1);
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontSize',14, ...
	'FontWeight','bold', ...
	'Position',[500 400 167.2 30.4], ...
	'String','No selection', ...
	'Style','text', ...
	'Tag','TextSelecc');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','carga_caract', ...%%Llamada a carga_caract
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[703.2 265.6 107.2 34.4], ...
	'String','DO IT', ...
	'Tag','Pushbutton2');
	
%%%%%%%%%%% MARCO DE SELECCIN PROCEDIMIENTO DE PREPROCESADO %%%%%%%%%%%
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[457.6 156.8 202.4 70.4], ...
	'Style','frame', ...
	'Tag','Frame1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.85 0.85 1], ...
	'ForegroundColor',[0.2 0.2 1], ...
	'Position',[460 164 196 60], ...
	'String',['Histogram Eq.           ';
                  'High-Boost Filter       ';
                  'Eq + High-Boost         '], ...
	'Style','listbox', ...
	'Tag','Indice_Prefiltro', ...
	'Value',1);

%%%%%%%%%%%% MARCO PARA LA REALIZACIN DEL PREPROCESADO %%%%%%%%%%%%%%%%

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[662.4 156 196 70.4], ...
	'Style','frame', ...
	'Tag','Frame1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','preprocesar', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[665.6 197.6 187.2 24.8], ...
	'String','Preprocessing', ...
	'Tag','Pushbutton1');
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','cargar_anterior', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[664.8 165.6 185.6 25.6], ...
	'String','Original Image', ...
	'Tag','Pushbutton1');

%%%%%%%%%% MARCO PARA SELECCIN DE REA Y MARCACIN DE LNEAS %%%%%%%%%%

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[18.4 12 424 42.4], ...
	'Style','frame', ...
	'Tag','Frame1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','zoom on', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[27.2 19.2 192.8 30.4], ...
	'String','SELECT AREA', ...
	'Tag','Pushbutton1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.6 1], ...
	'Callback','lanza_tw2', ...%Funcin que evala
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[234.4 18.4 195.2 30.4], ...
	'String','CALCULATE', ...
	'Tag','Pushbutton1');

%%%%%%%%%%%%%%%%%%%%%%%% MARCO PARA PUNTUACIN %%%%%%%%%%%%%%%%%%%%%%%%%

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[458 10.4 401 29.6], ...
	'Style','frame', ...
	'Tag','Frame1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[463.2 11 140 20], ...
	'String','RUS Score: ', ...
	'Style','text', ...
	'Tag','Text_prev');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[638.4 11 140 20], ...
	'String','...', ...
	'Style','text', ...
	'Tag','Text_out');
	
%%%%%%%%%%%% MARCO PARA MOSTRAR EL CONTENIDO DEL FICHERO %%%%%%%%%%%%%%%
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ...
	'Position',[458 43.2 401 112], ...
	'Style','frame', ...
	'Tag','Frame1');	
	
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.5 0.5 1], ... 
	'ForegroundColor',[0 0 0], ... 
	'Position',[510 128 100 20], ...
	'FontSize',10, ... 
	'FontWeight','bold', ... 
	'String','File data:', ...  
      	'Style','text', ...  
	'Tag','StaticText8');

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',10, ...
	'ForegroundColor',[0.2 0.2 1], ...
	'Position',[650 130 180 20], ...
	'String','FicheroDiametros.mat', ...
	'Style','edit', ...
	'Tag','Fichero_datos');

b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.85 0.85 1], ...
	'ForegroundColor',[0.2 0.2 1], ...
	'Position',[460 46 395 85], ...
	'String',' ', ...
	'Style','listbox', ...
	'Tag','Datos_Fichero1', ...
	'Value',1);
